#include <iostream>

using namespace std;

int main() {
	int n, k, indeks;
	int niz[20001];
	
	cin >> n >> k;
	for(int i = 0; i < n; i++) {
		cin >> niz[i];
		if(niz[i] == k)
			indeks = i;
	}
	cout << niz[(indeks + 1) % n];
}